# Uses of Class
javafx.print.PageRange

Packages that use PageRange
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of PageRange in javafx.print

Methods in javafx.print that return PageRange
Modifier and Type
Method
Description
`PageRange[]`
JobSettings.`getPageRanges()`
The range of pages to print.
Methods in javafx.print with parameters of type PageRange
Modifier and Type
Method
Description
`void`
JobSettings.`setPageRanges(PageRange... pages)`
The range of pages to print as an array of PageRange.